Package com.smartgwt.client.widgets.drawing

# Class LineToCommand

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.drawing.DrawShapeCommand
com.smartgwt.client.widgets.drawing.LineToCommand

All Implemented Interfaces:
  `HasHandlers`

public class LineToCommand extends DrawShapeCommand
Command to draw a multi-segment line. Corresponds to the `DrawShapeCommandType.LINETO` command type.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineToCommand()`
  `LineToCommand(Point... points)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setArgs(Point... points)`
  Sets the points to draw lines through in sequence when executing this "lineto" command.

  ### Methods inherited from class com.smartgwt.client.widgets.drawing.DrawShapeCommand

  `getOrCreateRef, getType, setArgs, setType`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LineToCommand

    public LineToCommand()

  - ### LineToCommand

    public LineToCommand(Point... points)

- ## Method Details

  - ### setArgs

    public void setArgs(Point... points)
    Sets the points to draw lines through in sequence when executing this "lineto" command.
    Parameters:
      `points` - the points to draw lines through.